> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chapter

> Retrieve all chapters associated with a specific video, including their titles, timestamps, and descriptions.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/videos/{videoId}/chapters
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/videos/{videoId}/chapters:
    get:
      tags:
        - Video Chapter
      summary: List Chapter
      description: >-
        Retrieve all chapters associated with a specific video, including their
        titles, timestamps, and descriptions.
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
        - name: videoId
          in: path
          description: Unique identifier of the targeted video resource.
          required: true
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        created_by:
                          type: string
                        updated_by:
                          type: string
                        font_family:
                          type: string
                        custom_html_footer:
                          type: string
                        name:
                          type: string
                        language:
                          type: string
                        custom_html_head:
                          type: string
                        playback_speeds:
                          type: array
                          items:
                            oneOf:
                              - type: number
                              - type: integer
                        appearance:
                          type: object
                          properties:
                            primary_color:
                              type: string
                            caption_font_color:
                              type: string
                            caption_background_color:
                              type: string
                            font_size:
                              type: integer
                            caption_font_size:
                              type: integer
                          required:
                            - primary_color
                            - caption_font_color
                            - caption_background_color
                            - font_size
                            - caption_font_size
                        library_id:
                          type: string
                        organization_id:
                          type: string
                        id:
                          type: string
                        controls:
                          type: object
                          properties:
                            backward:
                              type: boolean
                            forward:
                              type: boolean
                            airplay:
                              type: boolean
                            big_play_button:
                              type: boolean
                            captions:
                              type: boolean
                            chromecast:
                              type: boolean
                            current_time:
                              type: boolean
                            duration:
                              type: boolean
                            fullscreen:
                              type: boolean
                            mute:
                              type: boolean
                            picture_in_picture:
                              type: boolean
                            play_pause:
                              type: boolean
                            progress:
                              type: boolean
                            settings:
                              type: boolean
                            volume:
                              type: boolean
                          required:
                            - backward
                            - forward
                            - airplay
                            - big_play_button
                            - captions
                            - chromecast
                            - current_time
                            - duration
                            - fullscreen
                            - mute
                            - picture_in_picture
                            - play_pause
                            - progress
                            - settings
                            - volume
                        is_beta_enabled:
                          type: boolean
                        is_default:
                          type: boolean
                        enable_resumable_position:
                          type: boolean
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - id: ba921295-f310-4799-99ba-70af201aecba
                    video_id: ba04041b-c31e-4fb2-8cb8-23b73ba3ab7a
                    title: Introduction
                    start_time: 1
                    end_time: 30
                    order_index: 0
                  - id: c00a5f7a-5af9-4074-8d0d-0a9d997e0ac3
                    video_id: ba04041b-c31e-4fb2-8cb8-23b73ba3ab7a
                    title: What is Vidinfra?
                    start_time: 40
                    end_time: 95
                    order_index: 1
                  - id: f875d0c5-32a1-43c4-a538-8a2c0687505c
                    video_id: ba04041b-c31e-4fb2-8cb8-23b73ba3ab7a
                    title: Next Steps
                    start_time: 110
                    end_time: 0
                    order_index: 2
                message: Video Chapters Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````